<?php

namespace Drupal\verify_email\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\verify_email\Entity\VerifyEmail;

/**
 * Controller for handling the thank you page.
 */
class ThankYou extends ControllerBase {

  /**
   * Renders the thank you page.
   *
   * @param \Drupal\verify_email\Entity\VerifyEmail|null $entity
   *   The verify email entity passed from the route.
   *
   * @return array
   *   A render array.
   */
  public function thankYouPage(VerifyEmail|null $entity = NULL) {
    if ($entity) {
      return [
        '#markup' => $entity->getThankYouBody(),
        '#title' => t('Thank you'),
      ];
    }

    // Fallback message in case entity doesn't exist.
    return [
      '#markup' => t('Something has gone wrong. Please try submitting your email address again.'),
      '#title' => t('Sorry'),
    ];
  }

}
