<?php

namespace Drupal\verify_email\Service;

use Drupal\verify_email\VerifyEmailInterface;

/**
 * Provides interface for repository of verify email entities.
 */
interface VerifyEmailRepositoryInterface {

  /**
   * Returns all active Verify Email forms.
   *
   * @return \Drupal\verify_email\VerifyEmailInterface[]
   *   Array of verify email entities.
   */
  public function getActiveVerifyEmailForms(): array;

  /**
   * Get a single verify email entity.
   *
   * @param string $id
   *   The ID of the verify email entity.
   *
   * @return \Drupal\verify_email\VerifyEmailInterface|null
   *   The retrieved verify email entity.
   */
  public function getVerifyEmailForm($id): ?VerifyEmailInterface;

}
