<?php

namespace Drupal\Tests\verify_email;

use Drupal\KernelTests\KernelTestBase;

/**
 * Tests for token functionality in the Verify Email module.
 */
class TokenTest extends KernelTestBase {

  /**
   * Modules to enable for this test.
   *
   * @var array
   */
  protected static $modules = ['verify_email'];

  /**
   * Tests the token replacement for the verify_email:url token.
   */
  public function testTokenReplacement() {
    // Get the token service.
    $token_service = \Drupal::token();

    // Create a data array with the verify_email token data.
    $data = [
      'verify-email' => [
        'url' => 'https://example.com/verify-email/12345',
      ],
    ];

    // Define a test string containing the [verify_email:url] token.
    $test_string = 'Please click here to verify your email: [verify-email:url]';

    // Define the expected result after token replacement.
    $expected_result = 'Please click here to verify your email: https://example.com/verify-email/12345';

    // Replace the token using the token service.
    $result = $token_service->replace($test_string, $data);

    // Assert that the result matches the expected result.
    $this->assertEquals($expected_result, $result, 'The [verify-email:url] token was not replaced as expected.');
  }

}
